/* DEVICE SETTINGS */
/* ---------------------------------------- */
/* for desktop */
:root {
    --small-font: large;
    --medium-font: x-large;
    --large-font: 2rem;
    --alignment: row;
    --mobile-display: none;
    --desktop-display: block;
    --mobile-order-first: none;
    --mobile-order-second: none;
    --color-primary-pink: #ff9be3;
    --color-primary-purple: #c690ff;
    --color-primary-light-blue: #6dd3ff;
    --color-primary-dark-blue: #6490ff;
    --color-primary-theme: #ffffff;
    --color-primary-theme-rgb: 255, 255, 255;
    --color-secondary-pink: #ff00b7;
    --color-secondary-purple: #7b00ff;
    --color-secondary-light-blue: #00b3ff;
    --color-secondary-dark-blue: #0048ff;
    --color-secondary-theme: black;
    --color-secondary-theme-rgb: 0, 0, 0;
    --background-color: #e6e6ff;
    --background-image: url("/static/background_pastel.png");
    --banner-image: url("https://cdn-icons-png.flaticon.com/512/5968/5968875.png");
}

/* Space Mode */
[page-mode="space"] {
    --color-primary-pink: #ff00b7;
    --color-primary-purple: #7b00ff;
    --color-primary-light-blue: #00b3ff;
    --color-primary-dark-blue: #0048ff;
    --color-primary-theme: black;
    --color-primary-theme-rgb: 0, 0, 0;
    --color-secondary-pink: #ff9be3;
    --color-secondary-purple: #c690ff;
    --color-secondary-light-blue: #6dd3ff;
    --color-secondary-dark-blue: #6490ff;
    --color-secondary-theme: #ffffff;
    --color-secondary-theme-rgb: 255, 255, 255;
    --background-color: black;
    --background-image: url("/static/background_space.png");
}

/* for mobile */
@media (max-width: 700px) {
    /* note to self: max-width is setting parameters for when to apply CSS */
    :root {
        --small-font: small;
        --medium-font: large;
        --large-font: 1.5rem;
        --alignment: column;
        --mobile-display: block;
        --desktop-display: none;
        --mobile-order-first: 1;
        --mobile-order-second: 2;
    }
}

.mobile-only {
    display: var(--mobile-display);
}

.desktop-only {
    display: var(--desktop-display);
}
/* ---------------------------------------- */

/* TEXT */
h1,
h2,
h3,
h4,
h5 {
    font-family: "Patrick Hand SC", cursive;
    margin: 0px;
    font-size: var(--large-font);
}

hr {
    height: 3px;
    border: none;
    background-color: var(--color-primary-theme);
    border-radius: 10px;
}

a {
    color: var(--color-secondary-light-blue);
}

a:hover {
    font-weight: 700;
}

/* LISTS */
ul {
    display: var(--desktop-display);
    list-style-type: none;
    border-radius: 15px;
    text-align: center;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: var(--color-primary-theme);
    display: flex;
    justify-content: center;
    text-align: center;
}

li {
    float: left;
}

li a {
    display: block;
    color: var(--color-secondary-theme);
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: var(--medium-font);
    font-weight: 500;
}

li a:hover {
    outline: var(--color-secondary-light-blue);
    outline-style: dotted;
    outline-offset: -10px;
    border-radius: 15px;
    font-weight: 500;
}

.active {
    color: var(--color-secondary-light-blue);
}

/* BODY */

body {
    color: var(--color-secondary-theme);
    font-family: "Nunito", sans-serif;
    font-size: var(--medium-font);
    margin: auto;
    text-align: center;
    background-image: var(--background-image);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    background-position-y: 70%;
    background-color: var(--background-color);
}

.main-body {
    display: flex;
    flex-direction: row;
    width: 100%
}

.left-main {
    margin: 10px;
    display: flex;
    flex-direction: row;
}

.right-main {
    margin: 10px;
    display: flex;
    justify-content: center;
    width: 100%
}

.page-content {
    margin: 20px;
    margin-top: 5px;
}

/* BOXES */
* {
    box-sizing: border-box;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
}

.black-box {
    position: relative;
    text-align: center;
    border-radius: 15px;
    width: 100%;
    background-color: var(--color-primary-theme);
    padding: 15px;
    text-align: center;
}

.s-transparent-box {
    position: relative;
    border-radius: 15px;
    width: 100%;
    background-color: rgba(var(--color-primary-theme-rgb), 0.792);
    padding: 15px;
    text-align: center;
}

.footer {
    position: absolute;
    color: #081e36;
    text-align: center;
    border-radius: 0px;
    width: 100%;
    background-color: rgba(var(--color-primary-theme-rgb), 0.7);
    padding: 15px;
}

/* BUTTONS */
.btn {
    transition: filter 0.3s ease-in-out;
    font-weight: bold;
    padding: 10px;
    letter-spacing: 0.05em;
    text-transform: none;
    background-color: transparent;
    background: var(--color-primary-theme);
    border: none;
    margin: 6px;
    cursor: pointer;
    border-radius: 8px;
    text-decoration: none;
    font-size: var(--small-font);
}

.btn:hover {
    filter: brightness(0.5);
}

.dk-btn {
    background: rgba(var(--color-primary-theme-rgb), 0.152);
    color: #081e36;
}

.small-btn {
    padding: 6px 11px 6px 11px;
    border-radius: 50%;
}

.smallest-btn {
    border-radius: 50%;
    padding: 5px 10px 5px 10px;
    margin: 0px;
}

/* TOGGLE */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    border-radius: 34px;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

.slider:before {
    position: absolute;
    border-radius: 50%;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-image: url("https://lh3.googleusercontent.com/u/0/d/1ixgKwOS9auUSlqw1zcG9ppwkICwrtkrA=w3440-h1238-iv1?auditContext=forDisplay");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

input:checked + .slider {
    background-color: black;
}

input:focus + .slider {
    box-shadow: 0 0 1px black;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* ANIMATION */
stars1 {
    content: url("https://cdn.creazilla.com/cliparts/7814983/shining-light-clipart-md.png");
    position: absolute;
    animation-name: stars1-animation;
    animation-duration: 1s;
    width: 0px;
}

@keyframes stars1-animation {
    0% {
        width: 0px;
        left: 0%;
        top: 0%;
        opacity: 1;
    }
    /* Use the --random-left variable here */
    100% {
        width: 200px;
        left: var(--random-left);
        top: 100%;
        opacity: 0;
    }
}

.text-color-animation {
    background-clip: text;
    color: rgba(var(--color-secondary-theme-rgb), 0.41);
    background: linear-gradient(
        to right,
        var(--color-secondary-pink),
        var(--color-secondary-purple),
        var(--color-secondary-light-blue),
        var(--color-secondary-dark-blue)
    );
    -webkit-background-clip: text;
    animation: color-animation 4s ease-in-out infinite;
    background-size: 400% 100%;
}

.background-color-animation {
    filter: none;
    color: transparent;
    background: linear-gradient(
        to right,
        var(--color-primary-pink),
        var(--color-primary-purple),
        var(--color-primary-light-blue),
        var(--color-primary-dark-blue)
    );
    animation: color-animation 4s ease-in-out infinite;
    background-size: 400% 100%;
}

@keyframes color-animation {
    0%,
    100% {
        background-position: 0 0;
    }

    50% {
        background-position: 100% 0;
    }
}
